Skip to main content
GET
/
v2
/
telematics
/
ref-timezones
List Timezones
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/ref-timezones \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "timezone_code": "<string>",
      "timezone": "<string>",
      "standard_utc_offset_minutes": 123,
      "observes_dst": true,
      "dst_utc_offset_minutes": 123,
      "dst_start_rule": "<string>",
      "dst_end_rule": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
RefTimezoneCode · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page